انجمن‌های فارسی اوبونتو

لطفاً به انجمن‌ها وارد شده و یا جهت ورود ثبت‌نام نمائید

لطفاً جهت ورود نام کاربری و رمز عبورتان را وارد نمائید


 خبرها، اتفاقات و تصاویر مربوط به مربوط به جشن انتشار را با هشتگ ufest1804 در شبکه‌های اجتماعی دنبال کنید

نویسنده موضوع: چرا توی سایت اوبونتو نسخه‌های LTS توی صفحه‌ی اصلی هستن؟!  (دفعات بازدید: 1716 بار)

0 کاربر و 1 مهمان درحال مشاهده موضوع.

آفلاین Silvio Dante

  • High Hero Member
  • *
  • ارسال: 1212
  • جنسیت : پسر
  • Arch Linux
    • وبلاگ شخصی
 سلام
چرا توی سایت ubuntu.ir یا حتی ubuntu.com به جای اینکه آخرین نسخه رو توی صفحه‌ی اصلی سایت بزارن همیشه نسخه‌های LTS‌ رو میزارن؟! اینجوری 90 درصد کاربرایی که تازه وارد هستن فکر میکنن نسخه‌ای مثل 17.10 مشکل داره (خیلی اوقات شنیدم میگن فقط نسخه‌های LTS پایدارن!!!) و از نگارش دو سال پیش استفاده میکنن!!
به ما نگفته بودند ایران در زمان احمدشاه قاجار چگونه بوده است. همیشه به ما دادند، ما هم فکر کردیم باید می‌داده‌اند و تازه خیال می‌کردیم کم‌مان است باز هم می‌خواستیم!!
فریدون فرخزاد

آفلاین سلمان م.

  • ناظر انجمن
  • *
  • ارسال: 3929
  • جنسیت : پسر
  • GNU Operating System - سیستم عامل گنو
اول از همه اینکه توی سایت اصلی جفتشون رو گذاشتن تا هرکی دوست داشت انتخاب کنه و دانلود کنه.

نظر شخصی من هم این هست که نسخه‌های LTS بهتر از نسخه‌های غیر LTS هستن، چون باگ کمتری دارن، چه اشکالی داره از نسخه دو سال پیش (که مشکل امنیتی نداره) استفاده کرد؟

آفلاین Silvio Dante

  • High Hero Member
  • *
  • ارسال: 1212
  • جنسیت : پسر
  • Arch Linux
    • وبلاگ شخصی
اول از همه اینکه توی سایت اصلی جفتشون رو گذاشتن تا هرکی دوست داشت انتخاب کنه و دانلود کنه.
تو صفحه‌ی اصلی نسخه‌ی 16.04 رو خیلی بزرگ گذاشتن که انگار شاهکار ترین نسخه‌ش همونه! (عکس ضمیمه)
توی ubuntu.com هم قسمت دانلود باز هم 16.04 رو بالاتر از نسخه‌ی جدید گذاشتن!

نظر شخصی من هم این هست که نسخه‌های LTS بهتر از نسخه‌های غیر LTS هستن، چون باگ کمتری دارن، چه اشکالی داره از نسخه دو سال پیش (که مشکل امنیتی نداره) استفاده کرد؟
نسخه‌های جدید مشکل امنیتی دارن؟! این موضوع ثابت شده که اوبونتو 17.10 مشکل امنیتی داره یا 16.04 نداره؟! بعدم اگه قرار باشه با به‌روزرسانی مشکل امنیتی یا مشکلات دیگه به وجود بیاد خب چه کاریه اصلا به روزرسانی بدن؟!!!  :o
معمولا این روزا مشکلات امنیتی یا اشکال خاصی توی یه نرم افزار پیش بیاد خیلی زود متوجه میشن و خیلی زود هم حلش میکنن. (که حالا کمتر پیش میاد این روزا)
به ما نگفته بودند ایران در زمان احمدشاه قاجار چگونه بوده است. همیشه به ما دادند، ما هم فکر کردیم باید می‌داده‌اند و تازه خیال می‌کردیم کم‌مان است باز هم می‌خواستیم!!
فریدون فرخزاد

آنلاین M!lad

  • High Hero Member
  • *
  • ارسال: 1043
  • YPSD
منظور سلمان این بود که استفاده از 16.04 چون قدیمی‌تر هست مشکل امنیتی نداره (بسته ها فریز شدن و مشکلات امنیتی‌شون تو همون نسخه بر طرف میشه) و حالا که مشکل امنیتی در استفاده از 16.04 وجود نداره و همینطور در وضعیت پایدارتری قرار داره پس استفاده ازش چه موردی میتونه داشته باشه؟

و به نظر من گزینه بسیار خوبی هم هست خصوصا برای کسایی که تازه میخوان شروع کنند. یا افرادی مثل من که هم بسته هایی نسبتا به روز میخوان هم نمیخوان کاملا Bleeding Edge باشن و کلی آپدیت بگیرن.
« آخرین ویرایش: 21 فروردین 1397، 02:56 ب‌ظ توسط M!lad »
...

آفلاین nixoeen

  • ناظر انجمن
  • *
  • ارسال: 3821
  • جنسیت : پسر
  • masoft قدیم
شاید در آینده اون‌ها هم اضافه کردیم. تغییرات زیادی توی انجمن هست که داریم به مرور انجام میدیم.

آفلاین Silvio Dante

  • High Hero Member
  • *
  • ارسال: 1212
  • جنسیت : پسر
  • Arch Linux
    • وبلاگ شخصی
منظور سلمان این بود که استفاده از 16.04 چون قدیمی‌تر هست مشکل امنیتی نداره (بسته ها فریز شدن و مشکلات امنیتی‌شون تو همون نسخه بر طرف میشه) و حالا که مشکل امنیتی در استفاده از 16.04 وجود نداره و همینطور در وضعیت پایدارتری قرار داره پس استفاده ازش چه موردی میتونه داشته باشه؟

و به نظر من گزینه بسیار خوبی هم هست خصوصا برای کسایی که تازه میخوان شروع کنند. یا افرادی مثل من که هم بسته هایی نسبتا به روز میخوان هم نمیخوان کاملا Bleeding Edge باشن و کلی آپدیت بگیرن.
17.10 مگه مشکل امنیتی داره؟!  :o
اتقاقا کسی که تازه میاد شروع کنه وقتی میاد توی سایت اوبونتو و 16.04 رو به عنوان آخرین نگارش پایدار میگیره و میبره نصب میکنه، بعدش که ببینه بیشتر برنامه‌ها مال خیلی وقت پیشه منطقا بازخورد بدی برای اون کاربر داره. خیلیا همون 17.10 رو هم میگن نرم افزارهای توی مخازنش قدیمیه حالا چه برسه به 16.04!
در ضمن من نمیگم کسی از 16.04 استفاده نکنه! (اصلا به من چه ربطی داره؟!)‌ من منظورم اینه که چرا نمیگین 17.10 یا حالا هر نسخه‌ی دیگه غیر LTS آخرین نسخه‌ی پایدار اوبونتو هست و فقط نسخه‌های LTS دو سال دو سال روی سایت میمونن؟! اینجوری خب یه کاربری که داره از ویندوز یا مک با دانش صفر میاد گمراه میشه!

شاید در آینده اون‌ها هم اضافه کردیم. تغییرات زیادی توی انجمن هست که داریم به مرور انجام میدیم.
امیدوارم همینطور بشه. :rolleyes:
به ما نگفته بودند ایران در زمان احمدشاه قاجار چگونه بوده است. همیشه به ما دادند، ما هم فکر کردیم باید می‌داده‌اند و تازه خیال می‌کردیم کم‌مان است باز هم می‌خواستیم!!
فریدون فرخزاد

آنلاین M!lad

  • High Hero Member
  • *
  • ارسال: 1043
  • YPSD
شما همچنان متوجه منظور من و سلمان نشدید و هنوز فکر می‌کنید ما داریم میگیم که 17.04 مشکل امنیتی داره.

خیر، 17.04 هیچ مشکلی نداره. بحث این بود که چون 16.04 نسخه قدیمی تر هست [ممکنه] برخی اینطور تصور کنند که به خاطر قدیمی‌تر بودن استفاده ازش مشکلات امنیتی به همراه داره که توضیح دادم اینطور نیست و از طرفی چون این نسخه از پایداری {بیشتری} برخوردار هست گزینه‌ی مناسب تری برای کسی که نمی‌دونه باید کدوم رو انتخاب کنه هست.

{عموما} بسته‌هایی که افراد انتظار دارند همیشه به‌روز باشه (مثلا مرورگر) تو تمام نسخه‌هابه آخرین نسخه به‌روز رسانی می‌شند.
اگر برای فردی اینقدر مهم هست که فرضا Minor ورژن فلان بسته‌اش ورژن x باشه می‌دونه باید کدوم نسخه رو نصب کنه.

هر توزیع یک سری فلسفه وجودی داره، اوبونتو قرار نیست مثل آرچ آخرین بسته‌ها رو ارائه کنه قرار هم نیست مثل Debian مدت‌ها فریز بشه و به نحوی بین این دو حرکت می‌کنه.

نسخه‌های LTS مدت‌ها روی سایت پیشنهاد می‌شند چون در بازه زمانی قابل استفاده قرار دارند و همیشه به عنوان یکی از گزینه‌ها هستند. سوال اینکه چرا باید حذف بشند.

بحث پایدار و پایدارتر بودن هست، بسته‌هایی که چندسال هست فریز شدن و براشون فیکس میاد پایدار[تر] هستند نسبت به یک نسخه شش ماهه پایدار.

ضمن اینکه LTS ها رو نباید به عنوان نسخه پایدار بهشون نگاه کرد اونها فقط از پشتیبانی بیشتری (طولانی مدت) برخوردارند که باعث میشه به پایداری بالاتری برسند.

این پست ۱۰۰۰ام من بود.
« آخرین ویرایش: 21 فروردین 1397، 10:23 ب‌ظ توسط M!lad »
...

آفلاین Silvio Dante

  • High Hero Member
  • *
  • ارسال: 1212
  • جنسیت : پسر
  • Arch Linux
    • وبلاگ شخصی
شما همچنان متوجه منظور من و سلمان نشدید و هنوز فکر می‌کنید ما داریم میگیم که 17.04 مشکل امنیتی داره.

خیر، 17.04 هیچ مشکلی نداره. بحث این بود که چون 16.04 نسخه قدیمی تر هست [ممکنه] برخی اینطور تصور کنند که به خاطر قدیمی‌تر بودن استفاده ازش مشکلات امنیتی به همراه داره که توضیح دادم اینطور نیست و از طرفی چون این نسخه از پایداری {بیشتری} برخوردار هست گزینه‌ی مناسب تری برای کسی که نمی‌دونه باید کدوم رو انتخاب کنه هست.

{عموما} بسته‌هایی که افراد انتظار دارند همیشه به‌روز باشه (مثلا مرورگر) تو تمام نسخه‌هابه آخرین نسخه به‌روز رسانی می‌شند.
اگر برای فردی اینقدر مهم هست که فرضا Minor ورژن فلان بسته‌اش ورژن x باشه می‌دونه باید کدوم نسخه رو نصب کنه.

هر توزیع یک سری فلسفه وجودی داره، اوبونتو قرار نیست مثل آرچ آخرین بسته‌ها رو ارائه کنه قرار هم نیست مثل Debian مدت‌ها فریز بشه و به نحوی بین این دو حرکت می‌کنه.

نسخه‌های LTS مدت‌ها روی سایت پیشنهاد می‌شند چون در بازه زمانی قابل استفاده قرار دارند و همیشه به عنوان یکی از گزینه‌ها هستند. سوال اینکه چرا باید حذف بشند.

بحث پایدار و پایدارتر بودن هست، بسته‌هایی که چندسال هست فریز شدن و براشون فیکس میاد پایدار[تر] هستند نسبت به یک نسخه شش ماهه پایدار.

ضمن اینکه LTS ها رو نباید به عنوان نسخه پایدار بهشون نگاه کرد اونها فقط از پشتیبانی بیشتری (طولانی مدت) برخوردارند که باعث میشه به پایداری بالاتری برسند.

این پست ۱۰۰۰ام من بود.

اولا من نگفتم که نسخه‌ی 16.04 حذف بشه! منظورم این بود که توی صفحه‌ی اصلی نسخه‌ی جدید رو بزارن و پایینش بگن آقا اینم نسخه‌ی LTS هست که اگه میخوای کامپیوترتو 5 سال گوشه‌ی خونه بزاری از این استفاده کن!
در ضمن نمیدونم چرا اینقدر پایداری پایداری میکنین؟!! مگه یه کاربر با کامپیوتر خانگیش چقدر میتونه پایداری رو احساس کنه!؟ در ضمن مگه به‌روزرسانی دلیل ناپایداری هست؟! من خودم آرچ دارم و به کوچکترین ناپایداری ای نخوردم. (و حتی خیلی بهتر از اوبونتو و دبیانی که قبلا داشتم و خیلی دیرتر از آرچ آپدیت میدادن داره کار میکنه!)
این ناپایداری‌ای که ازش حرف میزنین چیزی نیست که توی یه کامپیوتر خانگی احساس بشه! شاید بتونین روی سرورها متوجهش بشین که خب با توجه به کاری که سرورها میکنن این یه چیز معقول‌تریه اما خب برای یه کامپیوتر خانگی انقدر تاکید روی پایداری بنظرم زیاده رویه. هر چند ناپایداری‌ای توی نسخه‌های جدید و سیستم عامل ‌های به روز به اون صورت وجود نداره و مشکلی پیش بیاد خیلی زود و راحت حل میشه! اصلا خوبی به روز بودن همینه! :)
« آخرین ویرایش: 21 فروردین 1397، 11:18 ب‌ظ توسط Silvio Dante »
به ما نگفته بودند ایران در زمان احمدشاه قاجار چگونه بوده است. همیشه به ما دادند، ما هم فکر کردیم باید می‌داده‌اند و تازه خیال می‌کردیم کم‌مان است باز هم می‌خواستیم!!
فریدون فرخزاد

آنلاین M!lad

  • High Hero Member
  • *
  • ارسال: 1043
  • YPSD
من سال‌ها کاربر آرچ بودم. الان هم سالهاست از Debian روی PC و سرور استفاده می‌کنم و رو لپ تاپ ام Ubuntu LTS دارم و گوشه خونه هم نیست. تصمیم گیرنده اینکه چی رو صفحه نخست Ubuntu.ir می‌ره هم من نیستم، درباره‌ي تغییرات آتی دوستان توضیح دادند.

خلاصه حرفم هم این بود (که به نظر می‌رسه دقیق پست قبلیم رو نخوندید):

نسخه عادی: پایدار، نسخه LTS: پایدارتر (به همراه برخی مزایا برای برخی افراد)، هر دو از امنیت بر خوردار (LTS چون قدیمی تر هست نا امن تر نیست)
پس گزنه LTS که هم پایدارتر هست و هم از امنیت همانند نسخه عادی برخوردار گزینه بهتری (از نظر من) محسوب می‌شه.

هدف من شفاف سازی صحبت سلمان جان بود، که برداشت اشتباه شما تصحیح بشه نسبت به موضوع امنیت. (اینکه 17.04 امن نیست).

--

الزاما دریافت به روز رسانی متوالی از upstream کمکی به رفع مشکلات نمی‌کنه بلکه خیلی وقت‌ها مشکلات امنیتی، سازگاری و ... ایجاد می‌کنه. مدل به روز رسانی توزیع هایی مثل Debian به مراتب بهتر از Arch هست چرا که بسته‌ها فریز شده و درحالت پایدار قراردارند و در صورت بروز مشکل بلافاصله اقدام به Patch بسته می‌شه بدون اینکه ریسک ورود باگ جدید و عدم عملکرد صحیح بسته ایجاد بشه.

قطعا کسی که اولین بار داره با یک توزیع کار میکنه نمی‌خواد با تداخل و عدم سازگاری بسته‌ها و تنظیمات مواجه بشه، توزیع‌هایی که مستقیم از upstream بسته‌ها رو میریزن تو مخازنشون در بروز این موارد از ریسک بالاتری برخوردارن. تو این توزیع ها باگ‌هایی که Confirm می‌شند و مدت‌ها تو خود بسته فیکس نمی‌شند کم نیست چون عهده دار فیکس اونها توسعه دهنده‌های توزیع نیستند بلکه توسعه دهنده‌های اصلی هستند. اینجاست که شما به عنوان یک کاربر خانگی می‌تونید تفاوت رو احساس کنید.

تو دنیای کامپیوتر همه چیز یک Trade off هست از یک سری ویژگی چشم پوشی میکنیم تا یک سری مزایا به دست بیاریم، هیچ وقت نمی‌تونیم همه چیز رو یکجا داشته باشیم.

به نظر من یک کاربر خانگی نیاز نداره تا تک تک بسته‌هاش آخرین نسخه باشند. همین که یک سری ابزار خاص به روز بشند و بقیه باگ فیکس و به روز رسانی امنیتی بگیرن بسیار عالی هست. البته این فقط نظر من هست.
...

آفلاین Silvio Dante

  • High Hero Member
  • *
  • ارسال: 1212
  • جنسیت : پسر
  • Arch Linux
    • وبلاگ شخصی
قطعا کسی که اولین بار داره با یک توزیع کار میکنه نمی‌خواد با تداخل و عدم سازگاری بسته‌ها و تنظیمات مواجه بشه، توزیع‌هایی که مستقیم از upstream بسته‌ها رو میریزن تو مخازنشون در بروز این موارد از ریسک بالاتری برخوردارن. تو این توزیع ها باگ‌هایی که Confirm می‌شند و مدت‌ها تو خود بسته فیکس نمی‌شند کم نیست چون عهده دار فیکس اونها توسعه دهنده‌های توزیع نیستند بلکه توسعه دهنده‌های اصلی هستند. اینجاست که شما به عنوان یک کاربر خانگی می‌تونید تفاوت رو احساس کنید.
آرچ و تقریبا هیچ توزیعی مستقیم بسته‌ها رو از upstream نمیریزن توی مخازنشون! حتی بدون تست اولیه توی مخازن تستینگ هم نمیاد چه برسه به مخازن اصلی!  ;)
به نظر من یک کاربر خانگی نیاز نداره تا تک تک بسته‌هاش آخرین نسخه باشند. همین که یک سری ابزار خاص به روز بشند و بقیه باگ فیکس و به روز رسانی امنیتی بگیرن بسیار عالی هست. البته این فقط نظر من هست.
همونطور که گفتین این یه نظر شخصی هست و برای کاربرهای مختلف متفاوته! مثلا من خودم ترجیح میدم همیشه بسته‌هام آخرین نسخه‌ها باشن! برای همین وقتی دبیان هم داشتم از نسخه‌ی sid استفاده میکردم! چون بنظرم نگارش‌های پایدار دبیان روش خوبی برای انتشار و به‌روزرسانی نداره (نظر شخصی) مگر توی شرایط خاص! :)


در ضمن هم صحبت‌های شما رو کامل خوندم و هم صحبت سلمان عزیز رو متوجه شدم. اما ظاهرا متوجه منظور من نشدین!
من میگم این‌که توی صفحه‌ی اصلی سایت نسخه‌ی دو سال پیش هست جلوشم نوشته "جدیدترین نگارش اوبونتو با پشتیبانی طولانی‌مدت را برای رایانه‌ها، کارسازها و ابرواره‌های خود دریافت کنید." کاربر که وارد سایت میشه فکر میکنه 16.04 آخرین نسخه هست و خیلیا اصلا شاید ندونن که قضیه‌ی LTS چیه و اگر بدونن نخوان از توزیع دو سال پیش استفاده کنن! حرف من اینه که آخرین نسخه توی صفحه‌ی اصلی سایت باشه و نسخه‌ی LTS هم اون پایینش با توضیح مربوط بهش که LTS چیه و ... باشه بهتره!
من خودم اگه اگه ندونم LTS چیه و بیام اشتباهی به عنوان آخرین نسخه‌ دانلودش کنم برام آزار دهنده هست! خیلی از دوستان دیگه رو هم دیدم توی این مدت که از ویندوز اومدن و اشتباها اوبونتو 16.04 رو با عنوان آخرین نسخه دانلود کردن و علاوه بر قدیمی بودن مخازن بعضی از برنامه‌ها هم اصلا نیست توش!
کسی هم که تصمیم میگیره از LTS استفاده کنه منطقا کاربری نیست که اصلا ندونه LTS چیه!!
به ما نگفته بودند ایران در زمان احمدشاه قاجار چگونه بوده است. همیشه به ما دادند، ما هم فکر کردیم باید می‌داده‌اند و تازه خیال می‌کردیم کم‌مان است باز هم می‌خواستیم!!
فریدون فرخزاد

آنلاین M!lad

  • High Hero Member
  • *
  • ارسال: 1043
  • YPSD
در ضمن هم صحبت‌های شما رو کامل خوندم و هم صحبت سلمان عزیز رو متوجه شدم. 
پاسخ هاتون اینطور نشون نمیده:
نسخه‌های جدید مشکل امنیتی دارن؟! این موضوع ثابت شده که اوبونتو 17.10 مشکل امنیتی داره یا 16.04 نداره؟! بعدم اگه قرار باشه با به‌روزرسانی مشکل امنیتی یا مشکلات دیگه به وجود بیاد خب چه کاریه اصلا به روزرسانی بدن؟!!!  :o
17.10 مگه مشکل امنیتی داره؟!  :o
در ضمن نمیدونم چرا اینقدر پایداری پایداری میکنین؟!!
---
اما ظاهرا متوجه منظور من نشدین!
چرا، پاسختون رو تو پاراگراف اول پست قبلیم دادم:
تصمیم گیرنده اینکه چی رو صفحه نخست Ubuntu.ir می‌ره هم من نیستم، درباره‌ي تغییرات آتی دوستان توضیح دادند.
تو بقیه پست ها هم نظرات شخصیم که چرا وجود LTS به جای نسخه‌های عادی بهتر هست رو گذاشتم.
شما که کاربر آرچ هستید یک بار Wiki ارچ رو دقیق بخونید. آرچ یکی از توزیع هایی هست که ارائه Patch رو در کمترین میزان نگه داره. یه دوری تو فروم آرچ هم بزنید بد نیست، مواردی که مطرح کردم رو باهاش رو به رو می‌شید. جایی هم از آرچ اسم نبردم:
نقل‌قول
توزیع‌هایی که مستقیم از upstream بسته‌ها رو میریزن تو مخازنشون در بروز این موارد از ریسک بالاتری برخوردارن

یکی از دلایلی که تو این انجمن خیلی پست نمیدم و وقتم رو جاهای دیگه میزارم اینکه یه بحث خیلی ساده عموما به همچین چیزی ختم می‌شه...، اینجا چت روم نیست که اینطور پست بزاریم
من مشکلی ندارم ناظرین زحمت بکشن و یک سری پست از بنده که فکر میکنند بی ربط هست رو از این تایپیک حذف کنند.
...

آفلاین Silvio Dante

  • High Hero Member
  • *
  • ارسال: 1212
  • جنسیت : پسر
  • Arch Linux
    • وبلاگ شخصی
ترجیح میدم این بحث رو ادامه ندیم!
من در قالب پیشنهاد یه سوالی پرسیدم و یکی از مدیران انجمن هم گفت احتمالا روش کار کنیم!
دیگه دلیلی برای ادامه‌ی همچین بحثی توی این تایپک نیست و اگر به این بحث علاقه داشتین براش تایپک جدید بزنین!
به ما نگفته بودند ایران در زمان احمدشاه قاجار چگونه بوده است. همیشه به ما دادند، ما هم فکر کردیم باید می‌داده‌اند و تازه خیال می‌کردیم کم‌مان است باز هم می‌خواستیم!!
فریدون فرخزاد

آفلاین رسول سعیدنژاد

  • High Hero Member
  • *
  • ارسال: 3220
  • جنسیت : پسر
  • تا گنو هست، زندگی باید کرد
سلام
چرا توی سایت ubuntu.ir یا حتی ubuntu.com به جای اینکه آخرین نسخه رو توی صفحه‌ی اصلی سایت بزارن همیشه نسخه‌های LTS‌ رو میزارن؟! اینجوری 90 درصد کاربرایی که تازه وارد هستن فکر میکنن نسخه‌ای مثل 17.10 مشکل داره (خیلی اوقات شنیدم میگن فقط نسخه‌های LTS پایدارن!!!) و از نگارش دو سال پیش استفاده میکنن!!

لزوماً آخرین نسخه بهترین نیست.
نسخه‌ای که ۵ سال قراره ازش پشتیبانی بشه، اعتماد بیش‌تری هم بهش می‌شه.
نسخه‌های ۹ ماهه که چشم بهم بزنی زمانش تموم شده! نمی‌تونه اندازهٔ LTSها مورد اعتماد باشه.
همین‌طور که میلاد گفت، بحث بین خوب و بد نیست. بین خوب و بهتر هست.
LTS معمولاً بهتر از نسخهٔ عادی هست. مثلاً من خودم مشکلات بیش‌تری رو توی نسخه‌های عادی نسبت به LTSها دیدم. شاید شما هم اگه ۵-۶ سال مثل من یا بیش‌تر از من (مثل میلاد و سلمان) با اوبونتو و کلاً گنو کار کرده بودی، یه سری مشکلات هم توی نسخه‌های عادی اوبونتو می‌دیدی.
هرچند من خودمم از نسخه‌های عادی استفاده می‌کنم در حال حاضر. ولی خب این‌که LTSها در مجموع بهتر (امنیت و پایداری) هستن رو نمی‌شه انکار کرد. و مطمئناً در دنیای گنو/لینوکس به‌روز بودن یه برنامه اهمیت کم‌تری داره نسبت به امن بودن و یا پایدار بودن اون.
خیلی از کاربران (از جمله من) همین که یه نرم‌افزار باشه که کارشون رو انجام بدن، کافیه. مهم انجام شدن اون کار هست. تا به‌روز بودن اون نرم‌افزار! برای خیلی‌ها هدف، کاریه که می‌خوان انجام بشه و ابزار، نرم‌افزاریه که قراره ما رو به هدف برسونه.
بنابراین این‌که یه برنامه در بهترین حالت، کاربر رو به نتیجه برسونه‌، مهم‌تره تا این‌که اون برنامه، هدف کاربر بشه!!
EMAIL
دین نداری؟ لااقل آزادمرد باش!

آفلاین Silvio Dante

  • High Hero Member
  • *
  • ارسال: 1212
  • جنسیت : پسر
  • Arch Linux
    • وبلاگ شخصی
خیلی از کاربران (از جمله من) همین که یه نرم‌افزار باشه که کارشون رو انجام بدن، کافیه. مهم انجام شدن اون کار هست. تا به‌روز بودن اون نرم‌افزار! برای خیلی‌ها هدف، کاریه که می‌خوان انجام بشه و ابزار، نرم‌افزاریه که قراره ما رو به هدف برسونه.
بنابراین این‌که یه برنامه در بهترین حالت، کاربر رو به نتیجه برسونه‌، مهم‌تره تا این‌که اون برنامه، هدف کاربر بشه!!
اینم حرفیه.
ولی در مورد نرم افزارهایی که توی مخازن رسمی 16.04 نیست ولی توی 17.10 هست چی؟! مثلا همین تلگرام کلی طرفدار داره و اصلا امکان نداره کسی ازش استفاده نکنه! ولی خب تا جایی که من میدونم توی مخازن 16.04 نبود. قطعا برنامه‌های دیگه هم هستن.
به ما نگفته بودند ایران در زمان احمدشاه قاجار چگونه بوده است. همیشه به ما دادند، ما هم فکر کردیم باید می‌داده‌اند و تازه خیال می‌کردیم کم‌مان است باز هم می‌خواستیم!!
فریدون فرخزاد

آفلاین رسول سعیدنژاد

  • High Hero Member
  • *
  • ارسال: 3220
  • جنسیت : پسر
  • تا گنو هست، زندگی باید کرد
جوابش خیلی ساده‌س.
نسخه‌ای مثل 16.04 که از قضا LTS هم محسوب می‌شه، به این سادگی‌ها به پایداری و امنیت خیلی بالاش نرسیده که مثلاً با آوردن یه برنامهٔ جدید مثل تلگرام، خودش رو زیر سؤال ببره.
اصلاً LTS برای همینه که برنامه‌هایی که امتحان خودشون رو عالی پس دادن، درش حضور داشته باشن. طبیعتاً اگه برنامه تلگرام یه برنامهٔ بدون حفره و کاملاً پایدار بود، در اون نسخه هم ممکن بود با آپدیت‌های جدید، قرار بگیره.
شما روند توسعه و انتشار نسخه‌های دبیان رو نگاه کن. اوبونتوهای LTS یه چیزی توی همون مایه‌ها هستن.
کاری که LTS انجام می‌ده، قبول نکردن ریسک هست. همهٔ احتمالات رو باید در نظر گرفت.
یه برنامه از نظر من و شما که مصرف‌کننده‌ایم (ممکنه تولید‌کننده هم باشیم!) ممکنه خیلی پایدار باشه درصورتی که مشکلاتش رو ما ندیده باشیم ولی تیمی که اون برنامه رو داخل مخازن وارد می‌کنن، دیده باشن!
برای متوجه شدن این موضوع هم یه راه وجود داره. شما خودت یه برنامه بنویسی و سعی کنی روند اضافه کردن به مخازن اوبونتو رو طی کنی. اون‌وقت کاملاً برات روشن می‌شه که چرا LTS، و چرا این همه تمرکز و وسواس داشتن در نحوهٔ توسعه، توزیع و انتشار اون.  :)
EMAIL
دین نداری؟ لااقل آزادمرد باش!